Folks.BirthdayDetails.change_birthday – folks Reference Manual

# change_birthday

## Description:

public virtual async void change_birthday (DateTime? birthday) throws PropertyError

Change the contact's birthday.

It's preferred to call this rather than setting BirthdayDetails.birthday directly, as this method gives error notification and will only return once the birthday has been written to the relevant backing store (or the operation's failed).

## Parameters:

birthday | the new birthday (or `null` to unset the birthday)

## Exceptions:

PropertyError | if setting the birthday failed

## Since:

0.6.2